.d-flex {
	display: flex;
}
.space-between {
	justify-content: space-between;
}

.align-center {
	align-items: center;
}

.flex-wrap {
	flex-wrap: wrap;
}

.font-bold {
	font-weight: bold;
}

.is-disabled {
	pointer-events: none;
}

.btn {
	border: 2px solid transparent;
	display: inline-block;
	padding: 0 15px;
	border-radius: 2px;
	text-transform: uppercase;
	font-weight: bold;
	height: 30px;
	line-height: 26px;
	&:hover {
		opacity: .75;
	}
}

.btn-2x {
	font-size: 18px;
	width: 138px;
	height: 45px;
	line-height: 45px;
}

.btn__icon {
	background: #23507a;
	width: 15px;
	height: 15px;
	border-radius: 99px;
	display: inline-block;
	text-align: center;
	line-height: 15px;
	margin-left: 10px;

	i {
		position: relative;
		top: 1px;
	}
}
.btn--menu {
	text-transform: none;
	padding: 0 10px;
	background: var( --dark-2 );
	color: #fff;
}
.btn--menu.is-active {
	background: var( --blue );
}

.btn--primary {
	background: var( --blue );
	color: #fff;
}

.btn--blue-2 {
	background: var( --blue-2 );
	color: #fff;
}

.btn--green {
	background: var( --green-2 );
	color: #fff;
}

.btn--red {
	background: var( --red );
	color: #fff;
}
.btn--red-2 {
	background: var( --red-2 );
	color: #fff;
}

.btn--dark-3 {
	background: var( --dark-3 );
	color: #fff;
}

.btn--no-bg {
	background: transparent;
	border: 2px solid var( --blue );
	color: var( --blue );
}

.btn--login {
	background: #fff;
	color: var( --dark-1 );
}

.txt-yellow {
	color: var( --yellow );
}
.txt-green {
	color: var( --green );
}
.txt-red {
	color: var( --red );
}
.txt-pink {
	color: var( --pink );
}
.txt-cyan {
	color: var( --cyan );
}
.txt-white {
	color: var( --white );
}
.txt-light-1 {
	color: var( --light-1 );
}
.txt-center {
	text-align: center !important;
}
.txt-left {
	text-align: left !important;
}
.txt-right {
	text-align: right !important;
}

.txt-white-1 {
	color: var( --white-1 );
}

.txt-ma {
	font-size: 13px;
	font-weight: bold;

	&--sm {
		font-size: 11px;
	}

	.fa-star {
		color: var( --yellow );
		font-size: 8px;
		margin-left: 3px;
		top: -2px;
		position: relative;
	}
	.fa-times {
		color: var( --white );
		font-size: 12px;
		margin-left: 3px;
		top: 3px;
		right: 2px;
		position: absolute;
		cursor: pointer;
		display: none;
	}
}
.code-wrap {
	position: relative;
	display: block;
}

.bg-yellow {
	background: var( --yellow );
}
.bg-green {
	background: var( --green );
}
.bg-green-2 {
	background: var( --green-2 );
}
.bg-red {
	background: var( --red );
}
.bg-red-2 {
	background: var( --red-2 );
}
.bg-pink {
	background: var( --pink );
}
.bg-cyan {
	background: var( --cyan );
}
.bg-white {
	background: var( --white );
}

*[class*="txt"] a {
	color: inherit;
}

input.input-txt--dark {
	border: none;
	border-radius: 2px;
	width: 150px;
	background: var( --dark-2 );
	color: var( --light-1 );
	@include placeholder() {
		color: var( --light-1 );
	}
}

.hidden-first,
.is-hidden {
	display: none !important;
}

.custom-scrollbar {
	&::-webkit-scrollbar {
	    width: 4px;
	    height: 4px;
	}
	&::-webkit-scrollbar-thumb {
	    background: var( --dark-2 );
	}
	&::-webkit-scrollbar-track {
	    background: transparent;
	}
}

.custom-checkbox {
	position: relative;
	input {
		position: absolute;
		left: -9999px;
		& + span {
			padding-left: 14px;
			display: inline-block;
		}
		& + span:before {
			content: '';
			border: 1px solid transparent;
			font-family: 'Font Awesome 5 Free';
			font-weight: 600;
			position: absolute;
			display: block;
			left: 0;
			top: 8px;
			transform: translateY(-50%);
			width: 12px;
			height: 12px;
			line-height: 10px;
			text-align: center;
			font-size: 9px;
			border-radius: 1px;
		}
		&:checked + span:before {
			content: '\f00c';
		}
	}
}

.custom-checkbox--1 {
	input {
		& + span:before {
			display: none;
		}
	}
}

.custom-checkbox--2 {
	input {
		&:checked + span:before {
			color: var( --blue );
		}
	}
}

.custom-checkbox--3 {
	input {
		& + span:before {
			background: transparent;
			border: 1px solid var( --blue );
		}
		&:checked + span:before {
			color: var( --white );
			background: var( --blue );
		}
	}
}
